import java.util.ArrayList;

/**
 * Created by IntelliJ IDEA.
 * User: e3r
 * Date: 21.nov.2007
 * Time: 19:58:15
 * To change this template use File | Settings | File Templates.
 */
public class BruteForce {

    DistanceMeasure distanceMeasure;
    DataSet dataSet;

    public void construct(DataSet ds, DistanceMeasure dm) {
        dataSet = ds;
        distanceMeasure = dm;
    }

    public TimeSeries[] radiusQueryRough(TimeSeries query, double r) {
        ArrayList<TimeSeries> candidats = new ArrayList<TimeSeries>(100);
        for (int i = 0; i < dataSet.size(); i++) {
            if (distanceMeasure.calculateDistance(dataSet.get(i), query) < r) {
                candidats.add(dataSet.get(i));
            }

        }

        TimeSeries[] result = new TimeSeries[candidats.size()];
        for (int i = 0; i < result.length; i++) {
            result[i] = candidats.get(i);
        }
        return result;

    }


    public void resetDistanceCalculationCounter() {

    }

    public int getDistanceCalculationCounter() {
        return dataSet.size();
    }
}
