/**
 * A Complete data set of time series.
 */
public class DataSet {

    private TimeSeries[] timeSeries;
    private Double avrageDataValue;

    public DataSet(TimeSeries[] timeSeries) {
        this.timeSeries = timeSeries;
    }

    public int timeSeriesLengt() {
        return timeSeries[0].size();
    }

    public int size() {
        return timeSeries.length;
    }

    public TimeSeries get(int i) {
        return timeSeries[i];
    }

    public double getAvrageAbsDataValue() {
        double accu = 0;
        if (avrageDataValue == null) {
            for (int s = 0; s < timeSeries.length; s++) {
                for (int e = 0; e < timeSeries[0].size(); e++) {
                    accu += Math.abs(timeSeries[s].get(e));
                }
            }
            avrageDataValue = accu / (timeSeries.length * timeSeries[0].size());
        }
        return avrageDataValue;
   }
}
