/**
 * a Time Series.
 */
public class TimeSeries {

    private double[] data;

    public TimeSeries(double[] data) {
        this.data = data;
    }

    /**
     * Returns the i'th data element in the TimeSeries
     * @param i number element to fetch
     * @return the i'th element
     */
    public double get(int i) {
        return data[i];
    }

    public void set(int i, double v) {
        data[i] = v;
    }

    /**
     * Returns the length of the TimeSeries
     * @return lenght of timeseries
     */
    public int size() {
        return data.length;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        for (double d : data) {
            sb.append(d);
            sb.append(' ');
        }
        return sb.toString();
    }

}
