/**
 * Euclidean sintance implementation.
 */
public class EuclideanDistanceMeasure implements DistanceMeasure{

    public double calculateDistance(TimeSeries a, TimeSeries b) {
        double accu = 0;
        double x,y;
        for (int i = 0 ; i < a.size() ; i++) {
            x = a.get(i);
            y = b.get(i);
            accu += (x-y)*(x-y);
        }
        return Math.sqrt(accu);
    }
}
